DATE := $(shell date '+%Y-%m-%d %H:%M:%S %Z')
GIT_TAG := $(shell git describe --tags)


override RISCV_GCC_OPTS+= -DBUILDDATE=\""$(DATE)"\" -DVERSION=\""$(GIT_TAG)"\"
override RISCV_INC+= -I$(PWD)
.PHONY: boot
# boot:
# 	$(RISCV_GCC) -g $(RISCV_INC) $(RISCV_GCC_OPTS) -fno-inline -march=$(RISCV_MARCH) \
# 		$(RISCV_LINK_OPTS) -T $(RISCV_BOOT_LINK) -o $(BUILD)/boot ./boot.c $(BUILD)/crt_boot.o $(BUILD)/syscalls.o

boot:
	$(RISCV_GCC) -g $(RISCV_INC) $(RISCV_GCC_OPTS) -fno-inline -march=$(RISCV_MARCH) \
		$(RISCV_LINK_OPTS) -T $(RISCV_BOOT_LINK) -o $(BUILD)/boot ./flash_boot.c $(BUILD)/crt_boot.o $(BUILD)/syscalls.o

